Subject: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode

From: Daniel Mendler <[email-masked]>
Date: Tue, 15 Feb 2022 10:36:27 +0100

On 2/15/22 10:29, Lars Ingebrigtsen wrote:
> As previously discussed in some other bug report *vague hand wave*, it
> makes no sense to use regexps for outline in generated buffers.  The
> functions that generate the buffers knows what's a heading, and should
> mark the headings properly (with text properties), and
> outline-minor-mode should just react to these text properties in these
> buffers.

That's a good idea, but only tangentially related to the aesthetic
outline issue with the face. I wanted to have something like this
before, when I attached text properties to headlines. If outline-mode
could automatically find headlines by a text property that would be great!

Daniel